Java Update lässt Firefox aussetzen

Dieses Thema im Forum "Netzwerk-Software" wurde erstellt von surfpoet, 02.05.2008.

  1. surfpoet

    surfpoet Thread Starter Mitglied

    Beiträge:
    283
    Zustimmungen:
    2
    Mitglied seit:
    02.01.2005
    hallo,
    am Donnerstag hab ich software-update durchgeführt. jetzt geht leider mein firefox mit der banksoftware nicht mehr. wer weiß rat???
     
  2. _ebm_

    _ebm_ Mitglied

    Beiträge:
    2.076
    Zustimmungen:
    202
    Mitglied seit:
    19.01.2008
    Der Firefox ist wie fast alle Programme für MacOS derzeit nur 32-bittig. Die Virtuelle Maschine von Java6 arbeitet jedoch in der 64-Bit-Version. Da derzeit die Programme nicht 32-Bit- und 64-Bit-Code mischen können, funktioniert Java6 nicht im Browser. Das wurde aber in diesem Forum schon mehrmals diskutiert. (Bemühe also doch mal bitte die Forumsuche...)

    Zur Abhilfe kannst du nur in den Dienstprogrammen->Java->Java-Einstellungen die Version von Java fürs Applet wieder auf Version 5 zurückstellen.

    Apple hat bei Java6 wohl nicht an den Endanwender gedacht...
     
  3. surfpoet

    surfpoet Thread Starter Mitglied

    Beiträge:
    283
    Zustimmungen:
    2
    Mitglied seit:
    02.01.2005
    Danke für den Hinweis. Aber mit Zurücksetzen auf die 1.4. Version klappt es trotzdem nicht. Weder auf Firefox noch auf Safari. Gibt es eine Möglichkeit, das Java 6 wieder ganz zu entfernen und auf die alte VErsion zurückzugehen. Mit Umsortieren allein klappt es nicht!!!
     
  4. gishmo

    gishmo Mitglied

    Beiträge:
    813
    Zustimmungen:
    23
    Mitglied seit:
    16.03.2004
    Das letzte Java Update (auf Version 6) hat die Standard VM des Macs nicht umgesetzt.

    Hast Du mal ins Log geschaut, was er für einen Fehler meldet?

    Läuft tatsächlich die Version 6 (Terminal: java -version)?
     
  5. _ebm_

    _ebm_ Mitglied

    Beiträge:
    2.076
    Zustimmungen:
    202
    Mitglied seit:
    19.01.2008
    Nicht auf Version J2SE 1.4.2, sondern J2SE 5.0, und zwar unter Java-Applet-Laufzeiteinstellung! Die Java-Programm-Laufzeiteinstellungen sind für Arbeitsplatzanwendungen und nicht für die im Browser!
     
  6. _ebm_

    _ebm_ Mitglied

    Beiträge:
    2.076
    Zustimmungen:
    202
    Mitglied seit:
    19.01.2008
    Du kannst, wenn du im Browser die VM austauschst, auch weiterhin die alte VM für Einzelplatzanwenungen aktiv haben. Die beiden haben nichts miteinander zutun!

    Eine Möglichkeit ist, im Firefox mal in die Adressleiste about:plugins einzutragen und zu sehen, welche VM im FF aktiv ist (Version des Java-Plugins).
     
  7. surfpoet

    surfpoet Thread Starter Mitglied

    Beiträge:
    283
    Zustimmungen:
    2
    Mitglied seit:
    02.01.2005
    Also: wenn ich in Terminal java-version eintippe, sagt er unbekanntes Command.
    Was ist VM und wie tausch ich das aus?
    about plugins hab ich bei Firefox eingegeben, meldet er auch nichts...
    hilfe!
     
  8. surfpoet

    surfpoet Thread Starter Mitglied

    Beiträge:
    283
    Zustimmungen:
    2
    Mitglied seit:
    02.01.2005
    ebm - du bist der könig. funktioniert hat:
    Nicht auf Version J2SE 1.4.2, sondern J2SE 5.0, und zwar unter Java-Applet-Laufzeiteinstellung! Die Java-Programm-Laufzeiteinstellungen sind für Arbeitsplatzanwendungen und nicht für die im Browser!
    1000 Dank!
     
  9. _ebm_

    _ebm_ Mitglied

    Beiträge:
    2.076
    Zustimmungen:
    202
    Mitglied seit:
    19.01.2008
    gern geschehen ;)

    ps. Das heißt java -version (mit Leerzeichen zwischen java und -version)
     
  10. sutz2001

    sutz2001 Mitglied

    Beiträge:
    2.746
    Zustimmungen:
    283
    Mitglied seit:
    28.02.2005
    Du hast ja den Befehl auch falsch geschrieben.
    Das Leerzeichen im Ursprungspost hatte schon seinen Sinn. ;)

    Also im Terminal:
    java -version

    Dann sollte er auch was anzeigen. Aber da es jetzt ja eh wieder geht, sollte das ja kein Problem sein.
     

Diese Seite empfehlen

  1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.